###########################################################################
#
#   Copyright (c) 2000 Morten W. Petersen <morten@esol.no>
#	Copyright (c) 2000 Thingamy Ltd.
#
#    This program is free software; you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation; either version 2 of the License, or
#    (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with this program; if not, write to the Free Software
#    Foundation, Inc., 59 Temple Place, Suite 330, Boston, 
#    MA 02111-1307 USA
#
#
###########################################################################

# $Author: morten $
# $Revision: 1.1 $


__doc__ = 'Documentation string.'
__version__ = '0.1.0'

from Globals import HTMLFile
from Globals import Persistent
from Globals import MessageDialog
from Globals import default__class_init__
import Acquisition
import AccessControl.Role
import OFS.SimpleItem
import base_item


manage_add_address_book_group_form = HTMLFile('address_book_group_add', globals())


def manage_add_address_book_group(self, id='', name='', description='', RESPONSE=None):
	"Add an instance of the AddressBookContact class"

	id = id or self.get_unique_id()

	self._setObject(id, address_book_group(id, name, description))

	if RESPONSE is not None:

		RESPONSE.redirect(self.relative_url())


class address_book_group(
	OFS.SimpleItem.Item,
	Persistent,
	Acquisition.Implicit,
	AccessControl.Role.RoleManager,
	base_item.base_item
	):
	"Documentation string"

	meta_type = 'AddressBookGroup'
	icon = 'misc_/AddressBook/dtmldoc.gif'

	_properties = (
		{'id':'name', 'type':'string'},
		{'id':'description', 'type':'text'},
		)

	manage_options = (
		{'label':'Edit', 'action':'manage_main'},
		{'label':'View', 'action':''},
		)

	__ac_permissions__ = (
		('View management screens',
		 ('manage_tabs', 'manage_main')),
		('Change Permissions',
		 ('manage_access',)),
		('View AddressBookContacts',
		 ('',)),
		)

	index_html = HTMLFile('address_book_group_container_index', globals())

	def __init__(self, id, name, description):
		"""Initialize the class instance."""

		self.id = id
		self.name = name
		self.description = description


default__class_init__(address_book_group)
